Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 225230 - No network and no USB with xen kernel
No network and no USB with xen kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-29 15:53 EST by Joep Jansen
Modified: 2009-12-14 15:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 18:52:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output for "bare metal" and xen kernel (28.54 KB, application/octet-stream)
2007-01-29 15:53 EST, Joep Jansen
no flags Details

  None (edit)
Description Joep Jansen 2007-01-29 15:53:50 EST
Description of problem:
After booting the xen kernel, the network interface eth1 is not configured by
DHCP. After manual configuration, pinging the gateway or other attached devices
does not work. The interrupt count for eth1 remains 0. 
The ethernet controller is a Broadcom Corporation BCM4401 100Base-T (rev 01),
and uses the b44 driver.

Also, the attached USB printer and memory stick are not recognized. The
interrupt count for USB devices also stays 0.

At first glance the problem looked b44 related: see bugs #208242 and #219277.
So I used the patched kernel as advised in #208242
(http://people.redhat.com/sct/packages/kernel/kernel-xen-2.6.18-1.2857.4.2.fc6.0.2.sct/).
That solves the 'No usable DMA configuration, aborting' problem.
But the network is still not working.



Version-Release number of selected component (if
applicable):2.6.18-1.2857.4.2.fc6.0.2.sctxen


How reproducible:always


Steps to Reproduce:
1.boot xen kernel
2.
3.
  
Actual results:

Expected results:

Additional info:
Comment 1 Joep Jansen 2007-01-29 15:53:51 EST
Created attachment 146866 [details]
dmesg output for "bare metal" and xen kernel
Comment 2 Red Hat Bugzilla 2007-07-24 21:37:30 EDT
change QA contact
Comment 3 Chris Lalancette 2008-02-26 18:52:02 EST
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.